{
  "name": "electron-react-webpack-boilerplate",
  "version": "1.14.3",
  "description": "Minimal Electron, React, PostCSS and Webpack boilerplate to help you get started with building your next app.",
  "license": "MIT",
  "private": false,
  "repository": {
    "type": "git",
    "url": "https://github.com/alexdevero/electron-react-webpack-boilerplate.git"
  },
  "homepage": "",
  "bugs": {
    "url": "https://github.com/alexdevero/electron-react-webpack-boilerplate/issues"
  },
  "author": {
    "name": "Alex Devero",
    "email": "deveroalex@gmail.com",
    "url": "https://github.com/alexdevero"
  },
  "keywords": [
    "app",
    "boilerplate",
    "electron",
    "open",
    "open-source",
    "postcss",
    "react",
    "reactjs",
    "source",
    "webpack"
  ],
  "engines": {
    "node": ">=9.0.0",
    "npm": ">=5.0.0",
    "yarn": ">=1.0.0"
  },
  "browserslist": [
    "last 4 versions"
  ],
  "main": "main.js",
  "scripts": {
    "prod": "cross-env GOOGLE_API_KEY=AIzaSyDxeaYXBDMvLp6VVaFLRlU-Q2LwDAPEi1s NODE_ENV=production webpack --mode production --config webpack.build.config.js && electron --noDevServer .",
    "start": "cross-env GOOGLE_API_KEY=AIzaSyDxeaYXBDMvLp6VVaFLRlU-Q2LwDAPEi1s NODE_ENV=development webpack serve --hot --host 0.0.0.0 --config=./webpack.dev.config.js --mode development",
    "build": "cross-env GOOGLE_API_KEY=AIzaSyDxeaYXBDMvLp6VVaFLRlU-Q2LwDAPEi1s NODE_ENV=production webpack --config webpack.build.config.js --mode production",
    "package": "npm run build",
    "postpackage": "electron-packager ./ --out=./builds"
  },
  "dependencies": {
    "antd": "^4.12.3",
    "node-sass": "^5.0.0",
    "postcss": "^8.2.1",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-geolocated": "^3.1.0",
    "react-router-dom": "^5.2.0",
    "sass": "^1.32.8",
    "sass-loader": "^11.0.1"
  },
  "devDependencies": {
    "@babel/core": "^7.12.10",
    "@babel/preset-env": "^7.12.17",
    "@babel/preset-react": "^7.12.10",
    "babel-loader": "^8.2.2",
    "cross-env": "^7.0.3",
    "css-loader": "^5.0.1",
    "electron": "^11.1.1",
    "electron-devtools-installer": "^3.1.1",
    "electron-packager": "^15.2.0",
    "file-loader": "^6.2.0",
    "html-webpack-plugin": "^5.1.0",
    "mini-css-extract-plugin": "^1.3.7",
    "postcss-import": "^14.0.0",
    "postcss-loader": "^4.1.0",
    "postcss-nested": "^5.0.3",
    "postcss-preset-env": "^6.7.0",
    "postcss-pxtorem": "^5.1.1",
    "style-loader": "^2.0.0",
    "terser-webpack-plugin": "^5.1.1",
    "webpack": "^5.22.0",
    "webpack-cli": "^4.5.0",
    "webpack-dev-server": "^3.11.2"
  }
}
